Bug 134317 - self.default_card not correctly set in soundcard.py
Summary: self.default_card not correctly set in soundcard.py
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-soundcard   
(Show other bugs)
Version: 3
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Martin Stransky
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-01 11:44 UTC by Féliciano Matias
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-02 06:37:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Féliciano Matias 2004-10-01 11:44:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040922

Description of problem:
self.default_card is set to the last card detected by kudzu at the
startup of s-c-sc

Here is the code :
#Kudzu has found some cards
for card in self.cardList:
    self.device, self.module, self.maker, self.model =
self.soundcardBackend.getData(card)
    self.default_card = self.model

minor bug, this value seems for firstboot, but firstboot don't use it
right now.

Version-Release number of selected component (if applicable):
1.2.10

How reproducible:
Always


Note You need to log in before you can comment on or make changes to this bug.